{
    "summary": "Registo do Utilizador",
    "description": "Permite registar uma nova conta com o utilizador associado.",
    "type": "object",
    "properties": {
        "name": {
          "type": "string-not-empty"
        },
        "surname": {
          "type": "string-not-empty"
        },
        "city_uid": {
            "type": "uid"
        },
        "email": {
          "type": "string-not-empty"
        },
        "username": {
          "type": "string-not-empty"
        },
        "password": {
          "type": "string-not-empty"
        }
    },
    "required": [
      "name", "surname", "city_uid", "email", "username", "password"
    ]
}